{
  "tab_name": "Black and White Conversion",
  "nodes": [
    {
      "id": "node-1754814568592",
      "type": "ImageUploadNode_RawBase64",
      "position": {
        "x": 20,
        "y": 22
      },
      "data": {
        "label": "Upload Image",
        "content": "Upload an image, output only the raw base64 string.",
        "value": "[encoded data, 2123664 characters]"
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 123,
      "selected": false,
      "positionAbsolute": {
        "x": 20,
        "y": 22
      },
      "dragging": false
    },
    {
      "id": "node-1754814569787",
      "type": "Image_Viewer",
      "position": {
        "x": 413.9999999999998,
        "y": 22
      },
      "data": {
        "label": "Image Viewer",
        "content": "Visual preview of base64 image with zoom overlay."
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 303,
      "selected": false,
      "positionAbsolute": {
        "x": 413.9999999999998,
        "y": 20.000000000000057
      },
      "dragging": false
    },
    {
      "id": "node-1754814571732",
      "type": "GrayscaleNode",
      "position": {
        "x": 414,
        "y": 464
      },
      "data": {
        "label": "Convert to Grayscale",
        "content": "Convert image to grayscale with adjustable intensity."
      },
      "dragHandle": ".borealis-node-header",
      "width": 160,
      "height": 88,
      "positionAbsolute": {
        "x": 413.3333333333333,
        "y": 464
      },
      "selected": false,
      "dragging": false
    },
    {
      "id": "node-1754814573097",
      "type": "BWThresholdNode",
      "position": {
        "x": 414,
        "y": 344.66666666666663
      },
      "data": {
        "label": "BW Threshold",
        "content": "Applies black & white threshold to base64 image input.",
        "value": 104
      },
      "dragHandle": ".borealis-node-header",
      "width": 160,
      "height": 96,
      "selected": false,
      "positionAbsolute": {
        "x": 416.6666666666666,
        "y": 344.66666666666663
      },
      "dragging": false
    },
    {
      "id": "node-1754814574866",
      "type": "Image_Viewer",
      "position": {
        "x": 833.3333333333335,
        "y": 22
      },
      "data": {
        "label": "Image Viewer",
        "content": "Visual preview of base64 image with zoom overlay."
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 303,
      "positionAbsolute": {
        "x": 833.3333333333335,
        "y": 24.66666666666667
      },
      "selected": false,
      "dragging": false
    },
    {
      "id": "node-1754814649767",
      "type": "Image_Viewer",
      "position": {
        "x": 833.3333333333333,
        "y": 356.66666666666663
      },
      "data": {
        "label": "Image Viewer",
        "content": "Visual preview of base64 image with zoom overlay."
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 303,
      "selected": true,
      "positionAbsolute": {
        "x": 835.9999999999999,
        "y": 356.66666666666663
      },
      "dragging": false
    }
  ],
  "edges": [
    {
      "source": "node-1754814568592",
      "sourceHandle": null,
      "target": "node-1754814569787",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1754814568592-node-1754814569787"
    },
    {
      "source": "node-1754814568592",
      "sourceHandle": null,
      "target": "node-1754814573097",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1754814568592-node-1754814573097"
    },
    {
      "source": "node-1754814568592",
      "sourceHandle": null,
      "target": "node-1754814571732",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1754814568592-node-1754814571732"
    },
    {
      "source": "node-1754814573097",
      "sourceHandle": null,
      "target": "node-1754814574866",
      "targetHandle": null,
      "type": "smoothstep",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1754814573097-node-1754814574866"
    },
    {
      "source": "node-1754814571732",
      "sourceHandle": null,
      "target": "node-1754814649767",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1754814571732-node-1754814649767"
    }
  ]
}